> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single Finding by ID



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/projects/{project_id}/findings/{finding_id}
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects/{project_id}/findings/{finding_id}:
    get:
      tags:
        - Findings
      summary: Get a single Finding by ID
      operationId: FindingsServicePublic_GetFindingPublic
      parameters:
        - name: project_id
          description: UUID
          in: path
          required: true
          schema:
            type: string
        - name: finding_id
          description: UUID
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetFindingResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
      security:
        - BearerAuth: []
components:
  schemas:
    v1GetFindingResponse:
      type: object
      properties:
        finding:
          $ref: '#/components/schemas/v1Finding'
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1Finding:
      type: object
      properties:
        id:
          type: string
          title: UUID
        project_id:
          type: string
          title: UUID
        created_at:
          type: string
          format: date-time
        title:
          type: string
        status:
          $ref: '#/components/schemas/findingsservicev1Status'
        assignee:
          type: string
        priority:
          $ref: '#/components/schemas/v1Priority'
        rationale:
          type: string
        data:
          type: object
          title: JSON
      title: Message representing a finding record
      required:
        - id
        - project_id
        - created_at
        - title
        - status
        - assignee
        - priority
        - rationale
        - data
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    findingsservicev1Status:
      type: string
      enum:
        - STATUS_UNSPECIFIED
        - STATUS_NEW
        - STATUS_IN_PROGRESS
        - STATUS_RESOLVED
        - STATUS_CLOSED
        - STATUS_DISMISSED
        - STATUS_BLOCKED
      default: STATUS_UNSPECIFIED
    v1Priority:
      type: string
      enum:
        - PRIORITY_UNSPECIFIED
        - PRIORITY_NONE
        - PRIORITY_LOW
        - PRIORITY_MEDIUM
        - PRIORITY_HIGH
      default: PRIORITY_UNSPECIFIED
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````